org.apache.tomcat.util.modeler.modules

## Class ModelerSource

- java.lang.Object
- - org.apache.tomcat.util.modeler.modules.ModelerSource

- Direct Known Subclasses:
    MbeansDescriptorsDigesterSource, MbeansDescriptorsDOMSource, MbeansDescriptorsIntrospectionSource, MbeansDescriptorsSerSource, MbeansSource

      public abstract class ModelerSource
      extends java.lang.Object

  Source for descriptor data. More sources can be added.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `location` Deprecated.
    `protected static StringManager` | `sm`
    `protected java.lang.Object` | `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelerSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.io.InputStream` | `getInputStream()` Deprecated. Unused - will be removed in Tomcat 8.0.x
    `abstract java.util.List<javax.management.ObjectName>` | `loadDescriptors(Registry registry, java.lang.String type, java.lang.Object source)` Load data, returns a list of items.
    `java.util.List<javax.management.ObjectName>` | `loadDescriptors(Registry registry, java.lang.String location, java.lang.String type, java.lang.Object source)` Deprecated. Location parameter is unused. Will be removed in Tomcat 8.0.x
    `void` | `store()` Deprecated. Unused - will be removed in Tomcat 8.0.x
    `void` | `updateField(javax.management.ObjectName oname, java.lang.String name, java.lang.Object value)` Deprecated. Unused - will be removed in Tomcat 8.0.x

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

    - #### source

          protected java.lang.Object source

    - #### location

          @Deprecated
          protected java.lang.String location

      Deprecated.

  - ### Constructor Detail

    - #### ModelerSource

          public ModelerSource()

  - ### Method Detail

    - #### loadDescriptors

          @Deprecated
          public java.util.List<javax.management.ObjectName> loadDescriptors(Registry registry,
                                                                               java.lang.String location,
                                                                               java.lang.String type,
                                                                               java.lang.Object source)
                                                                      throws java.lang.Exception

      Deprecated. Location parameter is unused. Will be removed in Tomcat 8.0.x
      Load data, returns a list of items.
      Parameters:
        `registry` - The registry
        `location` - Ignored
        `type` - The bean registry type
        `source` - Introspected object or some other source
      Throws:
        `java.lang.Exception`

    - #### updateField

          @Deprecated
          public void updateField(javax.management.ObjectName oname,
                                    java.lang.String name,
                                    java.lang.Object value)

      Deprecated. Unused - will be removed in Tomcat 8.0.x
      Callback from the BaseMBean to notify that an attribute has changed. Can be used to implement persistence.
      Parameters:
        `oname` -
        `name` -
        `value` -

    - #### store

          @Deprecated
          public void store()

      Deprecated. Unused - will be removed in Tomcat 8.0.x

    - #### getInputStream

          @Deprecated
          protected java.io.InputStream getInputStream()
                                                throws java.io.IOException

      Deprecated. Unused - will be removed in Tomcat 8.0.x
      Throws:
        `java.io.IOException`

    - #### loadDescriptors

          public abstract java.util.List<javax.management.ObjectName> loadDescriptors(Registry registry,
                                                                    java.lang.String type,
                                                                    java.lang.Object source)
                                                                               throws java.lang.Exception

      Load data, returns a list of items.
      Parameters:
        `registry` - The registry
        `type` - The bean registry type
        `source` - Introspected object or some other source
      Returns:
        a list of object names
      Throws:
        `java.lang.Exception` - Error loading descriptors

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.